Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class XEException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.xmlsec.util.ChainedException
oracle.security.xmlsec.enc.XEException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XECipherException, XESchemaException

public class XEException
extends ChainedException

This class signals error conditions in processing XML Encryption.

See Also:
  Serialized Form

Constructor Summary
`XEException()` Create a non-argument `XEException` instance.
`XEException(java.lang.String s)` Create a new `XEException` instance with the given message string.
`XEException(java.lang.String s, java.lang.Throwable cause)` Create a new `XEException` instance with the given message string and cause
`XEException(java.lang.Throwable cause)` Create a new `XEException` instance with the given cause

Methods inherited from class oracle.security.xmlsec.util.ChainedException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XEException

    public XEException()

  Create a non-argument `XEException` instance.

### XEException

    public XEException(java.lang.Throwable cause)

  Create a new `XEException` instance with the given cause

### XEException

    public XEException(java.lang.String s)

  Create a new `XEException` instance with the given message string.

### XEException

    public XEException(java.lang.String s,
                       java.lang.Throwable cause)

  Create a new `XEException` instance with the given message string and cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.